iPhone developer DjayB6 has released a new version of his “Ultrasn0w Fixer For 4.3.2” to make Ultrasn0w 1.2.1 unlock for both iPhone 4 and 3GS (old basebands only) compatible with the latest iOS 4.3.2 firmware.

Continue reading... »